Problem with build the app

Hi
I have some problem to deploy my app.

11:04:35 AM: Build ready to start
11:04:38 AM: build-image version: d2c6dbeac570350a387d832f64bc980dc964ad65 (focal)
11:04:38 AM: build-image tag: v4.8.0
11:04:38 AM: buildbot version: 98f4353bfe2f007fef20c73a9adc5819e6bdb0ab
11:04:38 AM: Fetching cached dependencies
11:04:40 AM: Finished downloading cache in 1.322920791s
11:04:40 AM: Starting to extract cache
11:04:45 AM: Finished extracting cache in 5.838225353s
11:04:45 AM: Finished fetching cache in 7.183208001s
11:04:45 AM: Starting to prepare the repo for build
11:04:46 AM: Preparing Git Reference refs/heads/master
11:04:47 AM: Parsing package.json dependencies
11:04:48 AM: Starting build script
11:04:48 AM: Installing dependencies
11:04:48 AM: Python version set to 2.7
11:04:48 AM: Started restoring cached node version
11:04:49 AM: Finished restoring cached node version
11:04:49 AM: Downloading and installing node v16.15.1...
11:04:50 AM: Downloading https://nodejs.org/dist/v16.15.1/node-v16.15.1-linux-x64.tar.xz...
11:04:50 AM: Computing checksum with sha256sum
11:04:50 AM: Checksums matched!
11:04:53 AM: Now using node v16.15.1 (npm v8.11.0)
11:04:53 AM: Started restoring cached build plugins
11:04:53 AM: Finished restoring cached build plugins
11:04:53 AM: Attempting ruby version 2.7.2, read from environment
11:04:54 AM: Using ruby version 2.7.2
11:04:54 AM: Using PHP version 8.0
11:04:55 AM: No npm workspaces detected
11:04:55 AM: Started restoring cached node modules
11:04:55 AM: Finished restoring cached node modules
11:04:55 AM: Installing NPM modules using NPM version 8.11.0
11:04:56 AM: npm WARN config tmp This setting is no longer used.  npm stores temporary files in a special
11:04:56 AM: npm WARN config location in the cache, and they are managed by
11:04:56 AM: npm WARN config     [`cacache`](http://npm.im/cacache).
11:04:56 AM: npm WARN config tmp This setting is no longer used.  npm stores temporary files in a special
11:04:56 AM: npm WARN config location in the cache, and they are managed by
11:04:56 AM: npm WARN config     [`cacache`](http://npm.im/cacache).
11:04:58 AM: npm ERR! code ERESOLVE
11:04:58 AM: npm ERR! ERESOLVE could not resolve
11:04:58 AM: npm ERR!
11:04:58 AM: npm ERR! While resolving: @agm/core@3.0.0-beta.0
11:04:58 AM: npm ERR! Found: @angular/common@13.1.3
11:04:58 AM: Creating deploy upload records
11:04:58 AM: npm ERR! node_modules/@angular/common
11:04:58 AM: npm ERR!   @angular/common@"~13.1.0" from the root project
11:04:58 AM: npm ERR!   peer @angular/common@"^13.0.0 || ^14.0.0-0" from @angular/cdk@13.3.9
11:04:58 AM: npm ERR!   node_modules/@angular/cdk
11:04:58 AM: Failed during stage 'building site': Build script returned non-zero exit code: 1 (https://ntl.fyi/exit-code-1)
11:04:58 AM: npm ERR!     @angular/cdk@"^13.2.3" from the root project
11:04:58 AM: npm ERR!     peer @angular/cdk@"13.3.9" from @angular/material@13.3.9
11:04:58 AM: npm ERR!     node_modules/@angular/material
11:04:58 AM: npm ERR!       @angular/material@"^13.2.3" from the root project
11:04:58 AM: npm ERR!   7 more (@angular/forms, @angular/material, ...)
11:04:58 AM: npm ERR!
11:04:58 AM: npm ERR! Could not resolve dependency:
11:04:58 AM: npm ERR! peer @angular/common@"^9.1.0 || ^10.0.0" from @agm/core@3.0.0-beta.0
11:04:58 AM: npm ERR! node_modules/@agm/core
11:04:58 AM: npm ERR!   @agm/core@"^3.0.0-beta.0" from the root project
11:04:58 AM: npm ERR!
11:04:58 AM: npm ERR! Conflicting peer dependency: @angular/common@10.2.5
11:04:58 AM: npm ERR! node_modules/@angular/common
11:04:58 AM: npm ERR!   peer @angular/common@"^9.1.0 || ^10.0.0" from @agm/core@3.0.0-beta.0
11:04:58 AM: npm ERR!   node_modules/@agm/core
11:04:58 AM: npm ERR!     @agm/core@"^3.0.0-beta.0" from the root project
11:04:58 AM: npm ERR!
11:04:58 AM: npm ERR! Fix the upstream dependency conflict, or retry
11:04:58 AM: npm ERR! this command with --force, or --legacy-peer-deps
11:04:58 AM: npm ERR! to accept an incorrect (and potentially broken) dependency resolution.
11:04:58 AM: npm ERR!
11:04:58 AM: npm ERR! See /opt/buildhome/.npm/eresolve-report.txt for a full report.
11:04:58 AM: npm ERR! A complete log of this run can be found in:
11:04:58 AM: npm ERR!     /opt/buildhome/.npm/_logs/2022-06-08T09_04_56_436Z-debug-0.log
11:04:58 AM: Error during NPM install
11:04:58 AM: Build was terminated: Build script returned non-zero exit code: 1
11:04:58 AM: Failing build: Failed to build site
11:04:58 AM: Finished processing build request in 20.168009375s

How can I solve this problem?

Hiya, sorry you are having trouble with your build.

This Support Guide contains a ton of useful debugging tips that can likely help you solve your problem :slight_smile: Additionally, this Support Guide houses all of our resources for debugging build and deploy issues.

We also recommend trying to search the forums with the build error you encountered - it’s likely your question was already asked by someone else!

If you are still having problems, please provide as much information as you can on what you have already tried, what your build settings are, your package.json, a URL to your site, etc. Thanks!

Problem was with two packages in node_modules: @agm/core and angular/leaflet.
I was not use them, removed and … it works. :grinning:

1 Like

Thanks so much for coming back and letting us know! Glad everything is working now. Happy building :rocket:

1 Like